Automation
Cancel webhooks by IDs or filter as a durable bulk operation.
Cancel webhooks by IDs or filter as a durable bulk operation. The request is scoped to the authenticated instance and enforces Automation roles and lifecycle state.
POST
/
api
/
v1
/
automation
/
webhooks
/
bulk
/
cancel
Cancel webhooks by IDs or filter as a durable bulk operation.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/webhooks/bulk/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"idempotencyKey": "<string>",
"webhookIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"requestPatch": {
"url": "<string>",
"headers": {
"set": {},
"remove": [
"<string>"
]
},
"query": {
"set": {},
"remove": [
"<string>"
]
},
"maskDetails": [
"<string>"
],
"body": {}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {},
idempotencyKey: '<string>',
webhookIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
requestPatch: {
url: '<string>',
headers: {set: {}, remove: ['<string>']},
query: {set: {}, remove: ['<string>']},
maskDetails: ['<string>'],
body: JSON.stringify({})
}
})
};
fetch('https://api.revoengine.com/api/v1/automation/webhooks/bulk/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/webhooks/bulk/cancel"
payload = {
"filter": {},
"idempotencyKey": "<string>",
"webhookIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"requestPatch": {
"url": "<string>",
"headers": {
"set": {},
"remove": ["<string>"]
},
"query": {
"set": {},
"remove": ["<string>"]
},
"maskDetails": ["<string>"],
"body": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "jobs",
"action": "cancel",
"status": "PENDING",
"total": 123,
"processed": 123,
"skipped": 123,
"failed": 123
}Body
application/json
Response
202 - application/json
⌘I
Cancel webhooks by IDs or filter as a durable bulk operation.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/webhooks/bulk/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {},
"idempotencyKey": "<string>",
"webhookIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"requestPatch": {
"url": "<string>",
"headers": {
"set": {},
"remove": [
"<string>"
]
},
"query": {
"set": {},
"remove": [
"<string>"
]
},
"maskDetails": [
"<string>"
],
"body": {}
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {},
idempotencyKey: '<string>',
webhookIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
requestPatch: {
url: '<string>',
headers: {set: {}, remove: ['<string>']},
query: {set: {}, remove: ['<string>']},
maskDetails: ['<string>'],
body: JSON.stringify({})
}
})
};
fetch('https://api.revoengine.com/api/v1/automation/webhooks/bulk/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/webhooks/bulk/cancel"
payload = {
"filter": {},
"idempotencyKey": "<string>",
"webhookIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"requestPatch": {
"url": "<string>",
"headers": {
"set": {},
"remove": ["<string>"]
},
"query": {
"set": {},
"remove": ["<string>"]
},
"maskDetails": ["<string>"],
"body": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": "jobs",
"action": "cancel",
"status": "PENDING",
"total": 123,
"processed": 123,
"skipped": 123,
"failed": 123
}
